Package org.opensaml.xacml.ctx.provider.impl

# Class ObligationService.ObligationHandlerComparator

java.lang.Object
org.opensaml.xacml.ctx.provider.impl.ObligationService.ObligationHandlerComparator

All Implemented Interfaces:
  `Comparator<BaseObligationHandler>`

Enclosing class:
  ObligationService

private class ObligationService.ObligationHandlerComparator extends Object implements Comparator<BaseObligationHandler>
Comparator used to order obligation handlers by precedence.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ObligationHandlerComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(BaseObligationHandler o1, BaseObligationHandler o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### ObligationHandlerComparator

private ObligationHandlerComparator()

## Method Details

### compare

public int compare(BaseObligationHandler o1, BaseObligationHandler o2)

Specified by:
  `compare` in interface `Comparator<BaseObligationHandler>`